aboutsummaryrefslogtreecommitdiffstats
path: root/main/bam/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/bam/APKBUILD')
-rw-r--r--main/bam/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/bam/APKBUILD b/main/bam/APKBUILD
new file mode 100644
index 0000000000..7a86d2fb78
--- /dev/null
+++ b/main/bam/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer:
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=bam
+pkgver=0.4.0
+pkgrel=0
+pkgdesc='Fast and flexible build system using Lua'
+arch=all
+url=http://github.com/matricks/bam
+license='ZLIB'
+source="https://github.com/downloads/matricks/bam/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ sh make_unix.sh || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ install -Dm755 bam "$pkgdir"/usr/bin/bam || return 1
+ install -Dm755 license.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE \
+ || return 1
+}
+
+md5sums="2f8e8336b8884110e8a355b12c9fa58a bam-0.4.0.tar.gz"
+sha256sums="5e4e4920b4d265da582f66774e9b1ec8ddfbe75ddc028fba86c12f686ea18db3 bam-0.4.0.tar.gz"
+sha512sums="c599cdf3618d317a5d304febd2e59d1116fc5819cdaf49969fdc25f88ed8f3e25831861c0c7fea05059d8af7085b654a7732bd89086bc166661b932d168ee2ca bam-0.4.0.tar.gz"